Clone Survey from Theme
Clone an existing survey from a theme to a specified location
POST
/
surveys
/
clone-from-theme
Clone Survey from Theme
curl --request POST \
--url https://services.leadconnectorhq.com/surveys/clone-from-theme \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"surveyId": "64abc123def456789012345",
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "Test 33"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
surveyId: '64abc123def456789012345',
locationId: 've9EPM428h8vShlRW1KT',
name: 'Test 33'
})
};
fetch('https://services.leadconnectorhq.com/surveys/clone-from-theme', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/surveys/clone-from-theme"
payload = {
"surveyId": "64abc123def456789012345",
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "Test 33"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Body
application/json
Response
Survey successfully cloned from theme
Last modified on March 8, 2026
Was this page helpful?
Clone Survey from Theme
curl --request POST \
--url https://services.leadconnectorhq.com/surveys/clone-from-theme \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"surveyId": "64abc123def456789012345",
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "Test 33"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
surveyId: '64abc123def456789012345',
locationId: 've9EPM428h8vShlRW1KT',
name: 'Test 33'
})
};
fetch('https://services.leadconnectorhq.com/surveys/clone-from-theme', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/surveys/clone-from-theme"
payload = {
"surveyId": "64abc123def456789012345",
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "Test 33"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}